Name:           openal
Version:        0.0.9
Release:        1.1.moblin2
Summary:        Open Audio Library

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://www.openal.org/
# source from cvs
#cvs -d:pserver:guest@opensource.creative.com:/usr/local/cvs-repository login
#(use password "guest")
#cvs -d:pserver:guest@opensource.creative.com:/usr/local/cvs-repository co MODULE 
Source0:        openal-cvs-20060204.tar.bz2
Source1:        openalrc
Patch0:         openal-arch.patch
Patch1:         openal-no-undefined.patch
Patch2:         openal-pkgconfig.patch
Patch3:         openal-pause.patch
# fixes race condition on x86_64 for now (#203336)
Patch4:         openal-x86_64-mmx.patch
# fix gcc43 compilation
Patch5:         openal-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  alsa-lib-devel
BuildRequires:  arts-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  esound-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  SDL-devel
BuildRequires:  texinfo
Obsoletes:      %{name}-test < 0.0.8
BuildRequires:  libtool

# 420991
Requires: SDL

%description
OpenAL is an audio library designed in the spirit of OpenGL--machine
independent, cross platform, and data format neutral, with a clean,
simple C-based API.


%package        devel
Summary:        Development files for openal library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
This package contains development files for the openal library.

OpenAL is an audio library designed in the spirit of OpenGL - machine
independent, cross platform, and data format neutral, with a clean,
simple C-based API.


%prep
%setup -q -n portable
%patch1
%patch2
%patch3 -p1
%patch4 -p1
./autogen.sh
%patch0 -p1
%patch5 -p1

%build
%configure --enable-arts                   \
           --enable-alsa                   \
           --disable-esd-dlopen            \
           --enable-vorbis                 \
           --enable-sdl                    \
           --disable-sdl-dlopen            \
           --disable-smpeg                 \
           --enable-capture

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}

rm -f $RPM_BUILD_ROOT%{_libdir}/libopenal.{l,}a

install -Dpm 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/openalrc
rm -rf common/specification/CVS

touch -r ChangeLog ${RPM_BUILD_ROOT}%{_bindir}/openal-config


%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NOTES README TODO
%config(noreplace) %{_sysconfdir}/openalrc
%{_libdir}/libopenal.so.*

%files devel
%defattr(-,root,root,-)
%doc common/specification/*
%{_bindir}/openal-config
%{_includedir}/AL/
%{_libdir}/libopenal.so
%{_libdir}/pkgconfig/openal.pc


%changelog
* Wed Sep  2 2009 Zhang Qiang <qiang.z.zhang@intel.com> - 0.0.9-0.15.20060204cvs
- Initial import to Moblin
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.0.9-0.15.20060204cvs
- Autorebuild for GCC 4.3
  * Fri Jan 04 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.0.0-0.14-20060204
- fix gcc43 build
  * Sat Dec 15 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.0.9-0.13.20060204
- directly require sdl
  * Wed Dec 12 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.0.9-0.12.20060204
- set default output to sdl for >F8 to work around pulseaudio (#420991)
- fix multiarch (#324771)
- fix esound problem (don't use dlopen) (#397511)
  * Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.0.9-0.11.20060204
- new license tag
- rebuild for ppc32
  * Sun Jun 17 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.0.9-0.10.20060204
- apply patch for bug #203336
  * Sat Nov 04 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
  0.0.9-0.9.20060204
- fix #190438
  * Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
  0.0.9-0.8.20060204
- FE6 rebuild
  * Mon Aug 21 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
  0.0.9-0.7.20060204
- apply patch from Hans de Goede (#202260)
  * Tue Aug 01 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
  0.0.9-0.6.20060204
- fix #200439
  * Mon Feb 27 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
  0.0.9-0.5.20060204
- revert back to old cvs snapshot to avoid soname change for now...
- fix openal-config and pkg-config in a better fashion
  * Sun Feb 26 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
  0.0.9-0.4.20060226
